<?php
// $Id: cck_map.inc,v 1.2 2007/11/15 04:02:39 beeradb Exp $
function theme_cck_map($node, $field, $items, $teaser, $page){
  //note: these javascript files should probably remain in tact, edit at your own peril.
  drupal_add_js("/maps.google.com/maps?file=api&v=2&key=".variable_get('cck_map_key', ''));
  drupal_add_js(drupal_get_path('module', 'cck_map') .'/cck_map.js');


  $ouptut = '';
   $prefix = str_replace("_", "-", $field['field_name']);
  $js_prefix = str_replace("-", "_", $field['field_name']);

  //create the markers for this map.
   cck_map_create_markers_js($items, $js_prefix);

  if ($field['widget']['label'])
    $output .= "<h3>".$field['widget']['label']."</h3>";
  
  //the $prefix."mapArea" div is targetted by the javascript to insert the map element in. You need an element with this id for the map to display properly.
  $output .= "<div id='".$prefix."mapArea'  class='mapArea' style=\"width: ".$field['widget']['mapx']."px; height: ".$field['widget']['mapy']."px\"></div>";
  $items['maplat'] ? $lat = $items['maplat'] : $lat = 0;
  $items['maplon'] ? $lon = $items['maplon'] : $lon = 0;
  $items['mapzoom'] ? $zoom = $items['mapzoom'] : $zoom = 0;
  $items['maptype'] ? $mapType = $items['maptype'] : $mapType = '';
 ;

  //google maps doesn't like relative urls for marker images. This totally sucks and I hope to fix it. I appologize.
  $tld = $_SERVER['SERVER_NAME'];

  drupal_add_js("\$(document).ready(function () {var {$js_prefix}map;{$js_prefix}map = new gmapClientController('{$prefix}',".$lat.", ".$lon.", ".$zoom.", '".$mapType."', {$js_prefix}markers, '".$tld."'); } );", 'inline');
  
  return $output;
  
}

?>